Unblock a Pix Transfer
curl --request POST \
--url https://plugin-pix-indirect.api.lerian.net/v1/transfers/{transfer_id}/unblock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/octet-stream' \
--header 'X-Account-Id: <x-account-id>' \
--data '<string>'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/transfers/{transfer_id}/unblock"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Account-Id", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/octet-stream")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {
'X-Account-Id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/octet-stream'
},
body: '<string>'
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/transfers/{transfer_id}/unblock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/transfers/{transfer_id}/unblock"
payload = "<string>"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"btgStatus": "<string>",
"message": "<string>",
"transfer": {
"accountId": "01989f9e-6508-79f8-9540-835be49fbd0d",
"amount": "100.50",
"createdAt": "2024-01-15T10:30:15Z",
"endToEndId": "E1234567820240101000001234567890",
"id": "550e8400-e29b-41d4-a716-446655440010",
"initiationType": "KEY",
"paymentType": "IMMEDIATE",
"purpose": "TRANSFER",
"status": "COMPLETED",
"type": "CASHIN",
"updatedAt": "2024-01-15T10:35:00Z",
"urgency": "HIGH",
"aliasId": "01989f9e-6508-79f8-9540-835be49fbd0e",
"deletedAt": "<string>",
"description": "Pix Cashin Transfer",
"destination": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"key": "chave@pix.com",
"owner": {
"document": "12ABC34501DE35",
"name": "John Doe",
"type": "NATURAL_PERSON",
"tradeName": "John's Business"
}
},
"feeCharge": {
"applied": true,
"calculationType": "segment",
"fees": [
{
"amount": "1.50",
"calculationType": "PERCENTAGE",
"calculationValue": "1.5",
"creditAccount": "01989f9e-6508-79f8-9540-835be49fbd0d",
"feeLabel": "PIX_FEE"
}
],
"netAmount": "97.50",
"totalAmount": "2.50"
},
"initiatedAt": "2024-01-15T10:30:00Z",
"ledger": {
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440013",
"revert": {
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440016",
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440015",
"transactionId": "550e8400-e29b-41d4-a716-446655440014"
},
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440012",
"transactionId": "550e8400-e29b-41d4-a716-446655440011"
},
"metadata": {},
"source": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"key": "chave@pix.com",
"owner": {
"document": "12ABC34501DE35",
"name": "John Doe",
"type": "NATURAL_PERSON",
"tradeName": "John's Business"
}
},
"withdrawal": {
"agentMode": "AGTEC",
"withdrawalAmount": "50.00",
"withdrawalServiceProvider": "12345678",
"transactionAmount": "80.00"
}
}
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}Unblock a Pix Transfer
Use this endpoint to unblock a transaction that is stuck in PENDING or PROCESSING status. The endpoint fetches the current status from BTG and triggers the appropriate settlement flow if BTG shows the transaction has completed or failed. The optional request body field allowNotFoundUnblock (default false) gates ONLY the not-found (HTTP 404) branch. The request body is intentionally an opaque raw-bytes payload (no typed schema): unknown fields are ignored, and an empty body is valid.
POST
/
v1
/
transfers
/
{transfer_id}
/
unblock
Unblock a Pix Transfer
curl --request POST \
--url https://plugin-pix-indirect.api.lerian.net/v1/transfers/{transfer_id}/unblock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/octet-stream' \
--header 'X-Account-Id: <x-account-id>' \
--data '<string>'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/transfers/{transfer_id}/unblock"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Account-Id", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/octet-stream")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {
'X-Account-Id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/octet-stream'
},
body: '<string>'
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/transfers/{transfer_id}/unblock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/transfers/{transfer_id}/unblock"
payload = "<string>"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"btgStatus": "<string>",
"message": "<string>",
"transfer": {
"accountId": "01989f9e-6508-79f8-9540-835be49fbd0d",
"amount": "100.50",
"createdAt": "2024-01-15T10:30:15Z",
"endToEndId": "E1234567820240101000001234567890",
"id": "550e8400-e29b-41d4-a716-446655440010",
"initiationType": "KEY",
"paymentType": "IMMEDIATE",
"purpose": "TRANSFER",
"status": "COMPLETED",
"type": "CASHIN",
"updatedAt": "2024-01-15T10:35:00Z",
"urgency": "HIGH",
"aliasId": "01989f9e-6508-79f8-9540-835be49fbd0e",
"deletedAt": "<string>",
"description": "Pix Cashin Transfer",
"destination": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"key": "chave@pix.com",
"owner": {
"document": "12ABC34501DE35",
"name": "John Doe",
"type": "NATURAL_PERSON",
"tradeName": "John's Business"
}
},
"feeCharge": {
"applied": true,
"calculationType": "segment",
"fees": [
{
"amount": "1.50",
"calculationType": "PERCENTAGE",
"calculationValue": "1.5",
"creditAccount": "01989f9e-6508-79f8-9540-835be49fbd0d",
"feeLabel": "PIX_FEE"
}
],
"netAmount": "97.50",
"totalAmount": "2.50"
},
"initiatedAt": "2024-01-15T10:30:00Z",
"ledger": {
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440013",
"revert": {
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440016",
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440015",
"transactionId": "550e8400-e29b-41d4-a716-446655440014"
},
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440012",
"transactionId": "550e8400-e29b-41d4-a716-446655440011"
},
"metadata": {},
"source": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"key": "chave@pix.com",
"owner": {
"document": "12ABC34501DE35",
"name": "John Doe",
"type": "NATURAL_PERSON",
"tradeName": "John's Business"
}
},
"withdrawal": {
"agentMode": "AGTEC",
"withdrawalAmount": "50.00",
"withdrawalServiceProvider": "12345678",
"transactionAmount": "80.00"
}
}
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}Authorizations
JWT bearer token issued by the identity provider.
Headers
Unique identifier of the Midaz Ledger Account (UUID format)
Path Parameters
Transfer ID (UUID format)
Body
application/octet-stream
The body is of type file.
Was this page helpful?

